[PATCH] small test for Bug 12558

vl at samba.org vl at samba.org
Sun Apr 9 08:37:03 UTC 2017


Hi!

Review appreciated!

If someone know the shell quoting magic to get this under 80 columns,
I'll be happy to change this :-)

Thanks, Volker
-------------- next part --------------
From 4dae02270fca038c0a45cda7302ae384804b4677 Mon Sep 17 00:00:00 2001
From: Volker Lendecke <vl at samba.org>
Date: Fri, 7 Apr 2017 16:33:57 +0200
Subject: [PATCH] selftest: Test for bug 12558

Bug: https://bugzilla.samba.org/show_bug.cgi?id=12558
Signed-off-by: Volker Lendecke <vl at samba.org>
---
 source3/script/tests/test_smbclient_s3.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/source3/script/tests/test_smbclient_s3.sh b/source3/script/tests/test_smbclient_s3.sh
index a7bffcb..0ae85e8 100755
--- a/source3/script/tests/test_smbclient_s3.sh
+++ b/source3/script/tests/test_smbclient_s3.sh
@@ -346,6 +346,17 @@ test_msdfs_link()
     tmpfile=$PREFIX/smbclient.in.$$
     prompt="  msdfs-target  "
 
+    cmd='$SMBCLIENT "$@" -U$USERNAME%$PASSWORD //$SERVER/msdfs-share -I $SERVER_IP $ADDARGS -m nt1 -c dir 2>&1'
+    out=`eval $cmd`
+    ret=$?
+
+    if [ $ret != 0 ] ; then
+	echo "$out"
+	echo "failed listing msfds-share\ with error $ret"
+	false
+	return
+    fi
+
     cat > $tmpfile <<EOF
 ls
 cd \\msdfs-src1
-- 
2.1.4



More information about the samba-technical mailing list